Skip to navigation

Create Eval Prompt

Creates a new conversation evaluation prompt for a project.

Authentication

AuthorizationBearer

Bearer authentication header of the form Bearer <PHONIC_API_KEY>. Manage your API keys here.

Path parameters

idstringRequired
The ID of the project.

Request

This endpoint expects an object.
namestringRequired
A useful name for referring to this prompt.
promptstringRequired
Actual evaluation prompt text to evaluate conversations with.

Response

Success response
idstring
The ID of the created evaluation prompt.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error